> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create W4 Link

> Create a link for an employee to complete their W-4 tax form in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json post /employees/w4
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees/w4:
    post:
      summary: Create W4 Link
      operationId: create-w4-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - employeeID
                - jurisdiction
              properties:
                companyID:
                  type: string
                  description: ID of the Employee being updated
                employeeID:
                  type: string
                  description: ID of the Employee being updated
                jurisdiction:
                  type: string
                  description: Jurisdiction for W4 (can be "US" or any state abbreviation)
                send_to_worker:
                  type: boolean
                  description: If true, notification email will be sent to employee
                  default: false
            examples:
              Request Example:
                value:
                  companyID: 3f5c2afcc5ea40c87a2c8f3f7e5a1cb1
                  employeeID: c2fc3a5fe5c74ca08a38f5f7b1a2ec15
                  jurisdiction: CA
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data: >-
                      https://payroll.your-domain.com/employee-requirements?accessToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMxOTgwMjY0ZmMyMjNhODkwYWZhZTgzYzkxYmQyZDQzOGVmMmFkMGRhZTc1MWZkZWEzNjYwYzNlNTU2YjEzOTYifQ
                    success: true
                    testMode: false
              schema:
                type: object
                properties:
                  data:
                    type: string
                    example: >-
                      https://payroll.your-domain.com/employee-requirements?accessToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMxOTgwMjY0ZmMyMjNhODkwYWZhZTgzYzkxYmQyZDQzOGVmMmFkMGRhZTc1MWZkZWEzNjYwYzNlNTU2YjEzOTYifQ
                  success:
                    type: boolean
                    example: true
                    default: true
                  testMode:
                    type: boolean
                    example: false
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    errors:
                      - message: Employee with this employeeID does not exist
                        code: 23
                        status: 400
                        correlationId: e9b73fdf-1f57-4e33-9f73-8bce7e7182b1
                    success: false
                    testMode: true
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee with this employeeID does not exist
                        code:
                          type: integer
                          example: 23
                          default: 0
                        status:
                          type: integer
                          example: 400
                          default: 0
                        correlationId:
                          type: string
                          example: e9b73fdf-1f57-4e33-9f73-8bce7e7182b1
                  success:
                    type: boolean
                    example: false
                    default: true
                  testMode:
                    type: boolean
                    example: true
                    default: true
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````